%define name cfengine
%define ver 1.5.4
%define rel 5mdk
%define url ftp://ftp.iu.hioslo.no/pub

Summary: Cfengine helps administer remote BSD and System-5-like systems
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Monitoring
Source: %{url}/%{name}-%{ver}.tar.bz2
Source1: cfengine.conf
Source2: cfengine.cron
Source3: cfd.conf
Source4: cfd.init
Patch0: cfengine-1.5.4-nossl.patch.bz2
Patch1: cfengine-1.5.4-mdkconf.patch.bz2
Patch2: cfengine-1.5.4-tidy.patch.bz2
Patch3: cfengine-1.5.4-stupid_umask_bug.patch.bz2
Patch4: cfengine-1.5.4-silly_readlink_usage.patch.bz2
Patch5: cfengine-1.5.4-doc_makefile_fix.patch.bz2
Patch6: cfengine-1.5.4-security-syslog.patch.bz2
BuildRoot: %{_tmppath}/cfengine-root
PreReq: /sbin/chkconfig /sbin/install-info
BuildRequires: flex bison openssl-devel

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
aclocal
autoconf
%configure --datadir=/etc
%make
cd doc
# redirect input to prevent TeX to stop
make < /dev/null

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cfengine/cfengine.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/cfengine/cfd.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/cfengine
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/cfd

cd doc
%makeinstall install-man install-info docdir=../rpmdoc/doc htmldir=../rpmdoc/html
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8/
mv -f $RPM_BUILD_ROOT/%{_mandir}/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8/


%define info_files cfengine-Tutorial cfengine-Reference
%post
/sbin/chkconfig --add cfd
for f in %{info_files}; do
  /sbin/install-info %{_infodir}/$f.info.bz2 %{_infodir}/dir
done

%preun
if [ "$1" = 0 ]; then
    /sbin/chkconfig --del cfd
    for f in %{info_files}; do
        /sbin/install-info --delete %{_infodir}/$f.info.bz2 %{_infodir}/dir
    done
fi

%files
%defattr(-,root,root)
%doc README.install
%doc VERSION.DIFF
%doc doc/*.ps
%doc inputs/cf*
%doc rpmdoc/html/
%{_infodir}/*
%{_mandir}/man*/*
%dir /var/spool/cfengine

%{_sbindir}/*

%config(noreplace) /etc/cfengine/cfengine.conf
%config(noreplace) /etc/cfengine/cfd.conf
%config(noreplace) /etc/rc.d/init.d/cfd
%config(noreplace) /etc/cron.daily/cfengine

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-5mdk
- Add security fix for syslog.

* Mon Aug 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-4mdk
- config files in noreplace mode.
- enable ssl

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-3mdk
- Move backups to /var/sppol.
- Merge debian patches.
- Recognize a Mandrake sysem.
- BM.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.4-2mdk
- Don't compile with SSL.

* Wed Mar  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.4-1mdk
- mandrake version.
